ONVIF::Device::Types::FocusConfiguration(3)

NAME
ONVIF::Device::Types::FocusConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType FocusConfiguration from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AutoFocusMode

•   DefaultSpeed

•   NearLimit

•   FarLimit

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::FocusConfiguration
   AutoFocusMode => $some_value, # AutoFocusMode
   DefaultSpeed =>  $some_value, # float
   NearLimit =>  $some_value, # float
   FarLimit =>  $some_value, # float
 },

AUTHOR
Generated by SOAP::WSDL